org.apache.xmlgraphics.image.loader.impl

## Interface ImageRawStream.InputStreamFactory

- All Known Implementing Classes:
    ImageRawStream.ByteArrayStreamFactory
  Enclosing class:
    ImageRawStream

      public static interface ImageRawStream.InputStreamFactory

  Represents a factory for InputStream objects. Make sure the class is thread-safe!

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the factory and releases any resources held open during the lifetime of this object.
    `java.io.InputStream` | `createInputStream()` Creates and returns a new InputStream.
    `boolean` | `isUsedOnceOnly()` Indicates whether this factory is only usable once or many times.

- - ### Method Detail

    - #### isUsedOnceOnly

          boolean isUsedOnceOnly()

      Indicates whether this factory is only usable once or many times.
      Returns:
        true if the factory can only be used once

    - #### createInputStream

          java.io.InputStream createInputStream()

      Creates and returns a new InputStream.
      Returns:
        the new InputStream

    - #### close

          void close()

      Closes the factory and releases any resources held open during the lifetime of this object.

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.